# Searches for billing runs using predefined parameters

Searches for billing runs using predefined parameters

Endpoint: POST /billingRuns/{tenantId}/search
Version: v1-2025-04-18
Security: knox-authorizer

## Security:

  - `knox-authorizer` (unknown)
    http bearer JWT

## Path parameters:

  - `tenantId` (string, required)
    The id of the tenant being accessed.

## Query parameters:

  - `exclusiveStartKey` (string)
    The start key for the search, for paging support

  - `fieldsToReturn` (string)
    The fields that you want to retrieve; if omitted, the entire object is returned

## Request body:

  - `application/json` (unknown)
    The billing run that you would like to be saved.

## Request fields (application/json):

  - `activate_applications` (array)

  - `application_expiration_options` (array)

  - `bill_training_providers` (array)

  - `ids` (array)
    IDs to search

  - `name` (string)

  - `perform_drops` (array)

  - `run_date` (array)

  - `scheduled_run_date` (array)

  - `send_application_reminders` (array)

  - `send_renewal_reminders` (array)

  - `status` (array)

## Response 200:

  - `200` (unknown)
    The billing run search was saved successfully.

## Response 200 fields (application/json):

  - `Items` (array)

  - `Items.generate_renewal_notices` (boolean)

  - `Items.generate_renewal_orders` (boolean)

  - `Items.ids` (array)
    IDs to search

  - `Items.name` (string)

  - `Items.perform_auto_renewals` (boolean)

  - `Items.perform_drops` (boolean)

  - `Items.run_date` (string)

  - `Items.scheduled_run_date` (string)

  - `Items.send_auto_renewal_reminders` (boolean)

  - `Items.send_expiring_credit_card_reminders` (boolean)

  - `Items.send_renewal_reminders` (boolean)

  - `Items.status` (string)

  - `LastEvaluatedKey` (string)

## Response 200 headers (application/json):

  - `Access-Control-Allow-Headers` (string)

  - `Access-Control-Allow-Methods` (string)

  - `Access-Control-Allow-Origin` (string)

## Response 400:

  - `400` (unknown)
    The billing run you supplied was invalid.

## Response 400 headers:

  - `Access-Control-Allow-Headers` (string)

  - `Access-Control-Allow-Methods` (string)

  - `Access-Control-Allow-Origin` (string)

## Response 401:

  - `401` (unknown)
    Unauthorized.

## Response 401 headers:

  - `Access-Control-Allow-Headers` (string)

  - `Access-Control-Allow-Methods` (string)

  - `Access-Control-Allow-Origin` (string)

## Response 403:

  - `403` (unknown)
    Forbidden.

## Response 403 headers:

  - `Access-Control-Allow-Headers` (string)

  - `Access-Control-Allow-Methods` (string)

  - `Access-Control-Allow-Origin` (string)

## Response 404:

  - `404` (unknown)
    The resource could not be found

## Response 404 headers:

  - `Access-Control-Allow-Headers` (string)

  - `Access-Control-Allow-Methods` (string)

  - `Access-Control-Allow-Origin` (string)

## Response 409:

  - `409` (unknown)
    The billing run could not be saved because it refers to/depends on a non-existent object.

## Response 409 headers:

  - `Access-Control-Allow-Headers` (string)

  - `Access-Control-Allow-Methods` (string)

  - `Access-Control-Allow-Origin` (string)

## Response 429:

  - `429` (unknown)
    Limit exceeded... unable to add billing run based on tenant limits.

## Response 429 headers:

  - `Access-Control-Allow-Headers` (string)

  - `Access-Control-Allow-Methods` (string)

  - `Access-Control-Allow-Origin` (string)

## Response 500:

  - `500` (unknown)
    General server error.

## Response 500 headers:

  - `Access-Control-Allow-Headers` (string)

  - `Access-Control-Allow-Methods` (string)

  - `Access-Control-Allow-Origin` (string)

